## kdiagram 2.6.0

=== examples/CMakeLists.txt ===
# KGantt examples
add_subdirectory(Gantt)

# KChart examples
include_directories(
    ${CMAKE_SOURCE_DIR}/examples/tools
    ${CMAKE_BINARY_DIR}/examples/tools
    ${CMAKE_SOURCE_DIR}/src/KChart
    ${CMAKE_SOURCE_DIR}/src/KChart/include
    ${CMAKE_SOURCE_DIR}/src/KChart/Cartesian
    ${CMAKE_SOURCE_DIR}/src/KChart/Cartesian/DiagramFlavors
    ${CMAKE_SOURCE_DIR}/src/KChart/Polar
    ${CMAKE_SOURCE_DIR}/src/KChart/Ternary
)
remove_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
)

add_subdirectory(tools)
add_subdirectory(demo)

add_subdirectory(Axis)
add_subdirectory(Background)
add_subdirectory(Bars)
add_subdirectory(DataValueTexts)
add_subdirectory(DrawIntoPainter)
add_subdirectory(EmptyValues)
add_subdirectory(Grids)
add_subdirectory(HeadersFooters)
add_subdirectory(Legends)
add_subdirectory(LeveyJennings)
add_subdirectory(Lines)
add_subdirectory(ModelView)
add_subdirectory(NoValues)
add_subdirectory(Pie)
add_subdirectory(Plane)
add_subdirectory(Plotter)
add_subdirectory(Polar)
add_subdirectory(RealTime)
add_subdirectory(SharedAbscissa)
if (Qt5Sql_FOUND)
    add_subdirectory(Sql)
endif()
add_subdirectory(Stock)
add_subdirectory(TernaryCharts)
add_subdirectory(Widget)
add_subdirectory(Zoom)

=== examples/Axis/CMakeLists.txt ===
add_subdirectory(Chart)
add_subdirectory(Labels)
add_subdirectory(Parameters)
add_subdirectory(Widget)

=== examples/DataValueTexts/CMakeLists.txt ===
set(DataValueTexts_SRCS
    mainwindow.cpp
    main.cpp
)

qt5_wrap_ui(DataValueTexts_SRCS
    mainwindow.ui
)

qt5_add_resources(DataValueTexts_SRCS
    DataValueTexts.qrc
)

add_executable(DataValueTexts  ${DataValueTexts_SRCS})

target_link_libraries(DataValueTexts testtools KChart Qt5::Widgets)

=== examples/demo/CMakeLists.txt ===
set(demo_SRCS
    datasetsettings.cpp
    gradientdialog.cpp
    colorslider.cpp
    diagramsettings.cpp
    datavaluesettings.cpp
    diagramtypedialog.cpp
    axissettings.cpp
    mainwindow.cpp
    main.cpp
)

qt5_wrap_ui(demo_SRCS
    datasetsettings.ui
    gradientdialog.ui
    diagramsettings.ui
    datavaluesettings.ui
    diagramtypedialog.ui
    axissettings.ui
)

qt5_add_resources(demo_SRCS
    demo.qrc
)

add_executable(demo  ${demo_SRCS})

target_link_libraries(demo testtools KChart Qt5::Widgets)

=== qtests/AxisOwnership/CMakeLists.txt ===
set(TestKChartAxisOwnership_SRCS
    main.cpp
)

qt5_add_resources(TestKChartAxisOwnership_SRCS
    Data.qrc
)

ecm_add_test(
    ${TestKChartAxisOwnership_SRCS}
    TEST_NAME TestKChartAxisOwnership
    LINK_LIBRARIES testtools KChart Qt5::Widgets Qt5::Test
)

=== qtests/Cloning/CMakeLists.txt ===
ecm_add_test(
    main.cpp
    TEST_NAME TestCloning
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)

=== qtests/WidgetElementOwnership/CMakeLists.txt ===
ecm_add_test(
    main.cpp
    TEST_NAME TestWidgetElementOwnership
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)

=== src/KChart/CMakeLists.txt ===
set( KCHARTLIB_VERSION "2.6.0" )

ecm_setup_version(${KCHARTLIB_VERSION}
    VARIABLE_PREFIX KCHART
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kchart_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KChartConfigVersion.cmake"
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/Cartesian
    ${CMAKE_CURRENT_SOURCE_DIR}/Cartesian/DiagramFlavors
    ${CMAKE_CURRENT_SOURCE_DIR}/Polar
    ${CMAKE_CURRENT_SOURCE_DIR}/Ternary
)

set( kchart_LIB_SRCS
    KChartMeasure.cpp
    KChartAbstractCoordinatePlane.cpp
    KChartChart.cpp
    KChartWidget.cpp
    KChartAbstractDiagram.cpp
    KChartAbstractDiagram_p.cpp
    KChartAbstractAreaBase.cpp
    KChartAbstractArea.cpp
    KChartTextArea.cpp
    KChartAbstractAreaWidget.cpp
    KChartAbstractAxis.cpp
    KChartAbstractProxyModel.cpp
    KChartAbstractGrid.cpp
    KChartAttributesModel.cpp
    KChartBackgroundAttributes.cpp
    KChartDatasetProxyModel.cpp
    KChartDatasetSelector.cpp
    KChartDataValueAttributes.cpp
    KChartDiagramObserver.cpp
    KChartFrameAttributes.cpp
    KChartGridAttributes.cpp
    KChartRulerAttributes.cpp
    KChartHeaderFooter.cpp
    KChartLayoutItems.cpp
    KChartLegend.cpp
    KChartLineAttributes.cpp
    KChartMarkerAttributes.cpp
    KChartPaintContext.cpp
    KChartPalette.cpp
    KChartPosition.cpp
    KChartRelativePosition.cpp
    KTextDocument.cpp
    KChartTextAttributes.cpp
    KChartAbstractThreeDAttributes.cpp
    KChartThreeDLineAttributes.cpp
    KChartTextLabelCache.cpp
    ChartGraphicsItem.cpp
    ReverseMapper.cpp
    KChartValueTrackerAttributes.cpp
    KChartPrintingParameters.cpp
    KChartModelDataCache_p.cpp
    Cartesian/KChartAbstractCartesianDiagram.cpp
    Cartesian/KChartCartesianCoordinatePlane.cpp
    Cartesian/KChartCartesianAxis.cpp
    Cartesian/KChartCartesianGrid.cpp
    Cartesian/KChartBarDiagram.cpp
    Cartesian/KChartBarDiagram_p.cpp
    Cartesian/KChartThreeDBarAttributes.cpp
    Cartesian/KChartBarAttributes.cpp
    Cartesian/KChartStockBarAttributes.cpp
    Cartesian/KChartStockDiagram.cpp
    Cartesian/KChartStockDiagram_p.cpp
    Cartesian/KChartLineDiagram.cpp
    Cartesian/KChartLineDiagram_p.cpp
    Cartesian/KChartCartesianDiagramDataCompressor_p.cpp
    Cartesian/KChartPlotter.cpp
    Cartesian/KChartPlotter_p.cpp
    Cartesian/KChartPlotterDiagramCompressor.cpp
    Cartesian/KChartLeveyJenningsCoordinatePlane.cpp
    Cartesian/KChartLeveyJenningsDiagram.cpp
    Cartesian/KChartLeveyJenningsDiagram_p.cpp
    Cartesian/KChartLeveyJenningsGrid.cpp
    Cartesian/KChartLeveyJenningsGridAttributes.cpp
    Cartesian/KChartLeveyJenningsAxis.cpp
    Cartesian/PaintingHelpers_p.cpp
    Cartesian/DiagramFlavors/KChartNormalPlotter_p.cpp
    Cartesian/DiagramFlavors/KChartPercentPlotter_p.cpp
    Cartesian/DiagramFlavors/KChartStackedPlotter_p.cpp
    Cartesian/DiagramFlavors/KChartStackedLyingBarDiagram_p.cpp
    Cartesian/DiagramFlavors/KChartStackedLineDiagram_p.cpp
    Cartesian/DiagramFlavors/KChartStackedBarDiagram_p.cpp
    Cartesian/DiagramFlavors/KChartPercentBarDiagram_p.cpp
    Cartesian/DiagramFlavors/KChartPercentLyingBarDiagram_p.cpp
    Cartesian/DiagramFlavors/KChartPercentLineDiagram_p.cpp
    Cartesian/DiagramFlavors/KChartNormalBarDiagram_p.cpp
    Cartesian/DiagramFlavors/KChartNormalLyingBarDiagram_p.cpp
    Cartesian/DiagramFlavors/KChartNormalLineDiagram_p.cpp
    Polar/KChartPolarCoordinatePlane.cpp
    Polar/KChartRadarCoordinatePlane.cpp
    Polar/KChartAbstractPieDiagram.cpp
    Polar/KChartAbstractPolarDiagram.cpp
    Polar/KChartPolarGrid.cpp
    Polar/KChartRadarGrid.cpp
    Polar/KChartPieDiagram.cpp
    Polar/KChartPolarDiagram.cpp
    Polar/KChartRadarDiagram.cpp
    Polar/KChartRingDiagram.cpp
    Polar/KChartPieAttributes.cpp
    Polar/KChartThreeDPieAttributes.cpp
    Ternary/KChartTernaryAxis.cpp
    Ternary/KChartTernaryGrid.cpp
    Ternary/TernaryPoint.cpp
    Ternary/TernaryConstants.cpp
    Ternary/KChartTernaryCoordinatePlane.cpp
    Ternary/KChartAbstractTernaryDiagram.cpp
    Ternary/KChartTernaryPointDiagram.cpp
    Ternary/KChartTernaryLineDiagram.cpp
)

qt5_wrap_ui(kchart_LIB_SRCS
    KChartDatasetSelector.ui
)

qt5_add_resources(kchart_LIB_SRCS
    KChart_LeveyJennings_resources.qrc
)

ecm_create_qm_loader(kchart_LIB_SRCS kchart_qt)

qt_wrap_cpp(KChart kchart_LIB_SRCS KChartEnums.h)

add_library(KChart ${kchart_LIB_SRCS})

# TODO: check if this snippet from .pro file should be ported, otherwise remove file
# linux-*{
#   version_script{
#     QMAKE_LFLAGS += -Wl,--version-script=libkdchart.map
#     TARGETDEPS += libkdchart.map
#   }
# }

generate_export_header( KChart )

target_include_directories(KChart
    INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/KChart>"
)

target_link_libraries(KChart
PUBLIC
    Qt5::Widgets
PRIVATE
    Qt5::Svg
)
set_target_properties( KChart PROPERTIES
  VERSION     ${KCHART_VERSION}
  SOVERSION   ${KCHART_SOVERSION}
  EXPORT_NAME "KChart"
)

install( TARGETS KChart
    EXPORT KChartTargets
    ${INSTALL_TARGETS_DEFAULT_ARGS})

set( kchart_LIB_HEADERS
    KChartGlobal.h
    KChartRelativePosition.h
    KChartHeaderFooter.h
    KChartAttributesModel.h
    KChartAbstractAreaBase.h
    KChartAbstractAreaWidget.h
    KChartAbstractProxyModel.h
    KChartLegend.h
    KChartPaintContext.h
    Cartesian/KChartAbstractCartesianDiagram.h
    Cartesian/KChartStockBarAttributes.h
    Cartesian/KChartBarDiagram.h
    Cartesian/KChartThreeDBarAttributes.h
    Cartesian/KChartBarAttributes.h
    Cartesian/KChartLeveyJenningsAxis.h
    Cartesian/KChartCartesianCoordinatePlane.h
    Cartesian/KChartLeveyJenningsDiagram.h
    Cartesian/KChartPlotter.h
    Cartesian/KChartStockDiagram.h
    Cartesian/KChartCartesianAxis.h
    Cartesian/KChartLeveyJenningsGridAttributes.h
    Cartesian/KChartLeveyJenningsCoordinatePlane.h
    Cartesian/KChartLineDiagram.h
    KChartFrameAttributes.h
    KChartLayoutItems.h
    KChartGridAttributes.h
    KChartMarkerAttributes.h
    KChartRulerAttributes.h
    KChartDatasetSelector.h
    KChartDatasetProxyModel.h
    Polar/KChartPolarCoordinatePlane.h
    Polar/KChartRingDiagram.h
    Polar/KChartPieAttributes.h
    Polar/KChartAbstractPolarDiagram.h
    Polar/KChartRadarDiagram.h
    Polar/KChartAbstractPieDiagram.h
    Polar/KChartPolarDiagram.h
    Polar/KChartRadarCoordinatePlane.h
    Polar/KChartThreeDPieAttributes.h
    Polar/KChartPieDiagram.h
    KChartTextArea.h
    KChartAbstractCoordinatePlane.h
    KChartMeasure.h
    KChartValueTrackerAttributes.h
    KChartAbstractArea.h
    KChartDiagramObserver.h
    KChartThreeDLineAttributes.h
    KChartAbstractAxis.h
    KChartAbstractDiagram.h
    KChartPalette.h
    KChartLineAttributes.h
    KChartChart.h
    KChartWidget.h
    KChartAbstractThreeDAttributes.h
    KChartPosition.h
    KChartEnums.h
    Ternary/KChartTernaryPointDiagram.h
    Ternary/KChartTernaryCoordinatePlane.h
    Ternary/KChartTernaryAxis.h
    Ternary/KChartTernaryLineDiagram.h
    Ternary/KChartAbstractTernaryDiagram.h
    KChartBackgroundAttributes.h
    KChartTextAttributes.h
    KChartDataValueAttributes.h
)

# TODO: fix ecm_generate_headers to support camelcase .h files
set( kchart_LIB_FWDHEADERS
    include/KChart
    include/KChartGlobal
    include/KChartRelativePosition
    include/KChartHeaderFooter
    include/KChartAttributesModel
    include/KChartAbstractAreaBase
    include/KChartAbstractAreaWidget
    include/KChartAbstractProxyModel
    include/KChartLegend
    include/KChartPaintContext
    include/KChartAbstractCartesianDiagram
    include/KChartStockBarAttributes
    include/KChartBarDiagram
    include/KChartThreeDBarAttributes
    include/KChartBarAttributes
    include/KChartLeveyJenningsAxis
    include/KChartCartesianCoordinatePlane
    include/KChartLeveyJenningsDiagram
    include/KChartPlotter
    include/KChartStockDiagram
    include/KChartCartesianAxis
    include/KChartLeveyJenningsGridAttributes
    include/KChartLeveyJenningsCoordinatePlane
    include/KChartLineDiagram
    include/KChartFrameAttributes
    include/KChartLayoutItems
    include/KChartGridAttributes
    include/KChartMarkerAttributes
    include/KChartRulerAttributes
    include/KChartDatasetSelector
    include/KChartDatasetProxyModel
    include/KChartPolarCoordinatePlane
    include/KChartRingDiagram
    include/KChartPieAttributes
    include/KChartAbstractPolarDiagram
    include/KChartRadarDiagram
    include/KChartAbstractPieDiagram
    include/KChartPolarDiagram
    include/KChartRadarCoordinatePlane
    include/KChartThreeDPieAttributes
    include/KChartPieDiagram
    include/KChartTextArea
    include/KChartAbstractCoordinatePlane
    include/KChartMeasure
    include/KChartValueTrackerAttributes
    include/KChartAbstractArea
    include/KChartDiagramObserver
    include/KChartThreeDLineAttributes
    include/KChartAbstractAxis
    include/KChartAbstractDiagram
    include/KChartPalette
    include/KChartLineAttributes
    include/KChartChart
    include/KChartWidget
    include/KChartAbstractThreeDAttributes
    include/KChartPosition
    include/KChartEnums
    include/KChartTernaryPointDiagram
    include/KChartTernaryCoordinatePlane
    include/KChartTernaryAxis
    include/KChartTernaryLineDiagram
    include/KChartAbstractTernaryDiagram
    include/KChartBackgroundAttributes
    include/KChartTextAttributes
    include/KChartDataValueAttributes
)

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/kchart_export.h
            ${kchart_LIB_HEADERS}
            ${kchart_LIB_FWDHEADERS}
        DESTINATION ${INCLUDE_INSTALL_DIR}/KChart
        COMPONENT Devel)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kchart_version.h
    DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KChart")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KChartConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KChartConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KChartConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KChartConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KChartTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KChartTargets.cmake)

ecm_generate_pri_file(
    BASE_NAME KChart
    LIB_NAME KChart
    DEPS "widgets svg"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/KChart
)

install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== examples/Bars/Advanced/CMakeLists.txt ===
set(BarsAdvanced_SRCS
    mainwindow.cpp
    main.cpp
)

qt5_wrap_ui(BarsAdvanced_SRCS
    mainwindow.ui
)

qt5_add_resources(BarsAdvanced_SRCS
    BarChart.qrc
)

add_executable(BarsAdvanced  ${BarsAdvanced_SRCS})

target_link_libraries(BarsAdvanced testtools KChart Qt5::Widgets)

=== examples/HeadersFooters/HeadersFootersSimple/CMakeLists.txt ===
add_executable(HeadersFootersSimple  main.cpp)

target_link_libraries(HeadersFootersSimple KChart Qt5::Widgets)

=== examples/Lines/AreaPerCell/CMakeLists.txt ===
add_executable(AreaPerCell main.cpp)

target_link_libraries(AreaPerCell KChart Qt5::Widgets)

=== examples/Plane/AdjustedBoundaries/CMakeLists.txt ===
add_executable(AdjustedBoundaries  main.cpp)

target_link_libraries(AdjustedBoundaries KChart Qt5::Widgets)

=== debian/changelog ===
kdiagram (2.6.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Build-Depend on qttools5-dev. (Closes: #881079)

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 15 Nov 2017 05:07:55 +0100

kdiagram (2.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #847782)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Dec 2016 20:48:16 +0100

=== debian/control ===
Source: kdiagram
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake (>= 2.8.12),
 debhelper (>= 10),
 extra-cmake-modules (>= 1.2.0),
 libqt5svg5-dev,
 qtbase5-dev (>= 5.2),
 qttools5-dev,
 qttools5-dev-tools,
 xauth,
 xvfb
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/collab-maint/kdiagram.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/kdiagram.git
Homepage: https://cgit.kde.org/kdiagram.git

Package: libkchart-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkchart2 (= ${binary:Version}),
 libqt5svg5-dev,
 qtbase5-dev (>= 5.2),
 ${misc:Depends}
Description: library for creating business charts (development files)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkchart2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libkchart2-l10n (= ${binary:Version})
Description: library for creating business charts (shared library)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkchart2-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library for creating business charts (translation)
 KD Charts provides an implementation of the ODF Chart specification. It
 supports stock charts, box charts, and whisker charts and allows one to
 integrate these charts in Qt-based applications.
 .
 This package contains translations.

Package: libkgantt-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libkgantt2 (= ${binary:Version}),
 qtbase5-dev (>= 5.2),
 ${misc:Depends}
Description: library for creating Gantt diagrams (development files)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the development files.

Package: libkgantt2
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 libkgantt2-l10n (= ${binary:Version})
Description: library for creating Gantt diagrams (shared library)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains the shared library.

Package: libkgantt2-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: library for creating Gantt diagrams (translations)
 Gantt charts are a bar charts that illustrate project schedules. KD Gantt
 provides a module for implementing ODF Gantt charts in Qt-based applications.
 .
 This package contains translations.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@

override_dh_auto_test-arch:
	xvfb-run -a dh_auto_test -a

# no tests for -indep
override_dh_auto_test-indep:

override_dh_makeshlibs:
	dh_makeshlibs -V

=== debian/watch ===
version=4
http://download.kde.org/stable/kdiagram/([\d\.]+)/src/kdiagram-([\d\.]+).tar.xz

## kdiagram 2.6.1

=== examples/Gantt/project/CMakeLists.txt ===
set(project_SRCS
    projectmodel.cpp
    mainwindow.cpp
    main.cpp
)

add_executable(project  ${project_SRCS})

target_link_libraries(project KGantt Qt5::Widgets Qt5::PrintSupport)

=== src/KGantt/test/CMakeLists.txt ===

# qt5_add_resources(TestKChartAttributesModel_SRCS
#     Data.qrc
# )

ecm_add_test(TestKGanttConstraint.cpp
    TEST_NAME KGanttConstraint
    LINK_LIBRARIES KGantt Qt5::Test
)

ecm_add_test(TestKGanttConstraintModel.cpp
    TEST_NAME KGanttConstraintModel
    LINK_LIBRARIES KGantt Qt5::Test
)

ecm_add_test(TestKGanttView.cpp
    TEST_NAME KGanttView
    LINK_LIBRARIES PUBLIC KGantt Qt5::Test
)

=== debian/changelog ===
kdiagram (2.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update path in watch file.
  * Update symbols files from logs of buildds, and removing private symbols
    no more exposed.
  * Adopt under the Debian KDE Extras Team wing, with myself as Uploader.
    (Closes: #874391)
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Pass --fail-missing to dh_missing.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Apr 2018 07:42:07 +0200

kdiagram (2.6.0-3) unstable; urgency=medium

  * QA upload.
  * Add symbols files, and thus remove the dh_makeshlibs -V invocation.
  * Tweak install files to catch potential SONAME bumps.
  * Simplify watch file, and switch it to https.
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11

 -- Pino Toscano <pino@debian.org>  Thu, 22 Mar 2018 09:10:54 +0100

## kdiagram 2.6.1%2Brebuild

=== examples/Lines/SimpleLineWidget/CMakeLists.txt ===
add_executable(SimpleLineWidget main.cpp)

target_link_libraries(SimpleLineWidget KChart Qt5::Widgets)

## kdiagram 2.6.1+rebuild

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project( kdiagram )

find_package(ECM 1.4.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)

include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMPackageConfigHelpers)
include(ECMGeneratePriFile)
include(ECMPoQmTools)
include(ECMAddTests)

include(CMakeDependentOption)

if (ECM_VERSION VERSION_LESS "5.36.0")
    message(STATUS "ECM version too old for QCH feature, does not have ECMAddQch (required >= 5.36.0)")
    set(HAS_ECMAddQch FALSE)
else()
    set(HAS_ECMAddQch TRUE)
    include(ECMAddQch)
endif()

cmake_dependent_option(BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF
    "HAS_ECMAddQch" OFF
)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(REQUIRED_QT_VERSION "5.6.0")

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE
    COMPONENTS
    PrintSupport
    Svg
    Widgets
)
if(BUILD_TESTING)
    find_package(Qt5Test QUIET)
    if (NOT Qt5Test_FOUND)
        message(STATUS "Qt5Test not found, unit tests will not be built.")
    endif()
endif()

find_package(Qt5Sql QUIET)
if (NOT Qt5Sql_FOUND)
    message(STATUS "Qt5Sql not found, examples with SQL will not be built.")
endif()

# We want users of kdiagram libs to be able to use the lib without interference with Qt-specific keywords, e.g. "signals" that collides with Boost's Signals
add_definitions(
    -DQT_NO_KEYWORDS
    -Demit=
)
add_definitions(
    -DQT_NO_STL
    -DQT_FATAL_ASSERT
    -DUSE_EXCEPTIONS
)

# TODO: port from .pro
#  NOMINMAX avoids conflicting definitions of min and max
#  _USE_MATH_DEFINES makes M_PI defined
# win32 {
# !win32-g++ {
#     DEFINES += NOMINMAX _USE_MATH_DEFINES
#     QMAKE_CXXFLAGS += /GR /EHsc /wd4251
# }
# }

# TODO: port g++.pri to cmake and check what is still needed


if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory( src )

if(BUILD_TESTING)
    add_subdirectory( examples )
    add_subdirectory( tests )

    if(Qt5Test_FOUND)
        add_subdirectory( qtests )
    endif()
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/Sql/CMakeLists.txt ===
add_executable(Sql  main.cpp)

target_link_libraries(Sql KChart Qt5::Widgets Qt5::Sql)

=== qtests/RelativePosition/CMakeLists.txt ===
ecm_add_test(
    main.cpp
    TEST_NAME TestRelativePosition
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)

=== src/KGantt/CMakeLists.txt ===
set( KGANTTLIB_VERSION "2.6.1" )

ecm_setup_version(${KGANTTLIB_VERSION}
    VARIABLE_PREFIX KGANTT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kgantt_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KGanttConfigVersion.cmake"
)

if(BUILD_TESTING)
    if(Qt5Test_FOUND)
        add_subdirectory(test)
    endif()
endif()

# TODO: remove this, code should be built the same with and without unit tests
# those KGantt unit tests which are enabled in the sources should be moved into own files
if(NOT BUILD_TESTING)
    add_definitions(-DKDAB_NO_UNIT_TESTS)
endif()

set( kgantt_LIB_SRCS
    kganttglobal.cpp
    kganttview.cpp
    kganttstyleoptionganttitem.cpp
    kganttgraphicsview.cpp
    kganttabstractrowcontroller.cpp
    kgantttreeviewrowcontroller.cpp
    kganttlistviewrowcontroller.cpp
    kganttgraphicsscene.cpp
    kganttgraphicsitem.cpp
    kganttconstraint.cpp
    kganttconstraintproxy.cpp
    kganttconstraintgraphicsitem.cpp
    kganttitemdelegate.cpp
    kganttforwardingproxymodel.cpp
    kganttsummaryhandlingproxymodel.cpp
    kganttproxymodel.cpp
    kganttconstraintmodel.cpp
    kganttabstractgrid.cpp
    kganttdatetimegrid.cpp
    kganttlegend.cpp
    unittest/test.cpp
    unittest/testregistry.cpp
)

if(CMAKE_COMPILER_IS_GNUCXX)
# remove once c++11-only
# avoid warning about deprecated std::auto_ptr
set_source_files_properties(unittest/testregistry.cpp
    PROPERTIES
        COMPILE_FLAGS "-Wno-deprecated-declarations"
)
endif(CMAKE_COMPILER_IS_GNUCXX)

ecm_create_qm_loader(kgantt_LIB_SRCS kgantt_qt)

add_library( KGantt ${kgantt_LIB_SRCS} )

generate_export_header( KGantt )

target_include_directories(KGantt
    INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/KGantt>"
)

target_link_libraries( KGantt
PUBLIC
    Qt5::Widgets
PRIVATE
    Qt5::PrintSupport
)

set_target_properties( KGantt PROPERTIES
  VERSION     ${KGANTT_VERSION}
  SOVERSION   ${KGANTT_SOVERSION}
  EXPORT_NAME "KGantt"
)

install( TARGETS KGantt
    EXPORT KGanttTargets
    ${INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(kgantt_LIB_HEADERS
    HEADER_NAMES
    KGanttGlobal
    KGanttView
    KGanttStyleOptionGanttItem
    KGanttGraphicsView
    KGanttAbstractRowController
    KGanttTreeViewRowController
    KGanttListViewRowController
    KGanttGraphicsScene
    KGanttGraphicsItem
    KGanttConstraint
    KGanttConstraintProxy
    KGanttConstraintGraphicsItem
    KGanttItemDelegate
    KGanttForwardingProxyModel
    KGanttSummaryHandlingProxyModel
    KGanttProxyModel
    KGanttConstraintModel
    KGanttAbstractGrid
    KGanttDateTimeGrid
    KGanttLegend

    REQUIRED_HEADERS kgantt_LIB_HEADERS
)

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/kgantt_export.h
            ${kgantt_LIB_HEADERS}
        DESTINATION ${INCLUDE_INSTALL_DIR}/KGantt
        COMPONENT Devel)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kgantt_version.h
    DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

if(BUILD_QCH)
    ecm_add_qch(
        KGantt_QCH
        NAME KGantt
        VERSION ${KGANTTLIB_VERSION}
        ORG_DOMAIN org.kde
        SOURCES
            Mainpage.dox
            ${kgantt_LIB_HEADERS}
            ${kgantt_LIB_SRCS}
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        BLANK_MACROS
            KGANTT_EXPORT
            KGANTT_DEPRECATED
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KGantt")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KGantt_QCH
        FILE KGanttQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KGanttQchTargets.cmake\")")
endif()

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KGanttConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KGanttConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KGanttConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KGanttConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KGanttTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KGanttTargets.cmake)

ecm_generate_pri_file(
    BASE_NAME KGantt
    LIB_NAME KGantt
    DEPS "widgets printsupport"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/KGantt
)

install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== examples/LeveyJennings/Simple/CMakeLists.txt ===
add_executable(LeveyJenningsSimple  main.cpp)

target_link_libraries(LeveyJenningsSimple KChart Qt5::Widgets)

=== examples/Lines/Parameters/CMakeLists.txt ===
add_executable(Parameters main.cpp)

target_link_libraries(Parameters KChart Qt5::Widgets)

=== debian/changelog ===
kdiagram (2.6.1+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Wed, 20 Jan 2021 12:59:21 +0800

## kdiagram 2.6.3

=== src/CMakeLists.txt ===
add_subdirectory( KChart )
add_subdirectory( KGantt )

=== examples/Background/CMakeLists.txt ===
add_executable(Background  main.cpp)

target_link_libraries(Background KChart Qt5::Widgets)

=== examples/Gantt/CMakeLists.txt ===
remove_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
)

add_subdirectory(legend_example)
add_subdirectory(project)

=== examples/HeadersFooters/CMakeLists.txt ===
add_subdirectory(Advanced)
add_subdirectory(HeadersFootersParameters)
add_subdirectory(HeadersFootersSimple)

=== qtests/QLayout/CMakeLists.txt ===
ecm_add_test(
    main.cpp
    TEST_NAME TestQLayout
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)

=== src/KChart/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set( KCHARTLIB_VERSION "2.6.0" )
+set( KCHARTLIB_VERSION "2.6.3" )
 
 ecm_setup_version(${KCHARTLIB_VERSION}
     VARIABLE_PREFIX KCHART
@@ -304,8 +304,41 @@
     ${CMAKE_CURRENT_BINARY_DIR}/kchart_version.h
     DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)
 
+if(BUILD_QCH)
+    ecm_add_qch(
+        KChart_QCH
+        NAME KChart
+        VERSION ${KCHARTLIB_VERSION}
+        ORG_DOMAIN org.kde
+        SOURCES
+            Mainpage.dox
+            ${kchart_LIB_HEADERS}
+        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/images"
+        LINK_QCHS
+            Qt5Core_QCH
+            Qt5Gui_QCH
+            Qt5Widgets_QCH
+        BLANK_MACROS
+            KCHART_EXPORT
+            KCHART_DEPRECATED
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
+    )
+endif()
+
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KChart")
+
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KChart_QCH
+        FILE KChartQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KChartQchTargets.cmake\")")
+endif()
 
 ecm_configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KChartConfig.cmake.in"

=== src/KGantt/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set( KGANTTLIB_VERSION "2.6.1" )
+set( KGANTTLIB_VERSION "2.6.3" )
 
 ecm_setup_version(${KGANTTLIB_VERSION}
     VARIABLE_PREFIX KGANTT

=== examples/Axis/Labels/CMakeLists.txt ===
set(AxisLabels_SRCS
    AdjustedCartesianAxis.cpp
    mainwindow.cpp
    main.cpp
)

qt5_wrap_ui(AxisLabels_SRCS
    mainwindow.ui
)

qt5_add_resources(AxisLabels_SRCS
    BarChart.qrc
)

add_executable(AxisLabels  ${AxisLabels_SRCS})

target_link_libraries(AxisLabels testtools KChart Qt5::Widgets)

=== examples/Gantt/legend_example/CMakeLists.txt ===
set(legend_example_SRCS
    entrydialog.cpp
    entrydelegate.cpp
    mainwindow.cpp
    main.cpp
)

qt5_wrap_ui(legend_example_SRCS
    entrydialog.ui
    mainwindow.ui
)

add_executable(legend_example  ${legend_example_SRCS})

target_link_libraries(legend_example KGantt Qt5::Widgets Qt5::PrintSupport)

=== examples/HeadersFooters/Advanced/CMakeLists.txt ===
set(HeadersFootersAdvanced_SRCS
    mainwindow.cpp
    main.cpp
)

qt5_wrap_ui(HeadersFootersAdvanced_SRCS
    addheaderdialog.ui
    mainwindow.ui
)

qt5_add_resources(HeadersFootersAdvanced_SRCS
    HeadersFooters.qrc
)

add_executable(HeadersFootersAdvanced  ${HeadersFootersAdvanced_SRCS})

target_link_libraries(HeadersFootersAdvanced testtools KChart Qt5::Widgets)

=== examples/ModelView/HidingData/CMakeLists.txt ===
set(HidingData_SRCS
    mainwindow.cpp
    main.cpp
)

qt5_wrap_ui(HidingData_SRCS
    mainwindow.ui
)

qt5_add_resources(HidingData_SRCS
    ModelView.qrc
)

add_executable(HidingData  ${HidingData_SRCS})

target_link_libraries(HidingData testtools KChart Qt5::Widgets)

=== examples/Pie/Parameters/CMakeLists.txt ===
add_executable(PieParameters  main.cpp)

target_link_libraries(PieParameters KChart Qt5::Widgets)

=== debian/changelog ===
kdiagram (2.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 13 Apr 2020 00:28:08 +0200

kdiagram (2.6.2-4) unstable; urgency=medium

  * Update test-increased-timeout.diff to increase the timeouts to 60 minutes,
    hopefully it should be enough also for really slow architectures...

 -- Pino Toscano <pino@debian.org>  Sun, 29 Mar 2020 18:37:26 +0200

kdiagram (2.6.2-3) unstable; urgency=medium

  * Update test-increased-timeout.diff to increase also the QtTest default
    timeout to 30 minutes.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Mar 2020 11:51:38 +0200

kdiagram (2.6.2-2) unstable; urgency=medium

  * Update test-increased-timeout.diff to use a better (and hopefully working)
    API for changing the test timeout.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Mar 2020 00:24:36 +0100

kdiagram (2.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Update Vcs-* fields.
  * Update symbols files.
  * Increase the timeout for TestDrawIntoPainter to 30 minutes, so even slower
    architectures should run it successfully. (Closes: 947492)
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Mar 2020 23:21:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kdiagram
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends:
  cmake (>= 2.8.12),
- debhelper (>= 10),
+ debhelper-compat (= 12),
  extra-cmake-modules (>= 1.2.0),
  libqt5svg5-dev,
  qtbase5-dev (>= 5.2),
@@ -12,9 +13,9 @@
  qttools5-dev-tools,
  xauth,
  xvfb
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/kdiagram.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/kdiagram.git
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdiagram.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiagram
 Homepage: https://cgit.kde.org/kdiagram.git
 
 Package: libkchart-dev

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,5 @@
 # no tests for -indep
 override_dh_auto_test-indep:
 
-override_dh_makeshlibs:
-	dh_makeshlibs -V
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=4
https://download.kde.org/stable/@PACKAGE@/([\d\.]+)/@PACKAGE@-([\d\.]+)\.tar\.xz

## kdiagram 2.7.0

=== debian/changelog ===
kdiagram (2.7.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 01 Nov 2020 14:09:57 -0800

kdiagram (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - test-increased-timeout.diff: drop, fixed upstream
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Tue, 21 Apr 2020 10:00:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kdiagram
 Section: libs
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends:
  cmake (>= 2.8.12),

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
+

## kdiagram 2.8.0

=== qtests/CMakeLists.txt ===

include_directories(
    ${CMAKE_SOURCE_DIR}/examples/tools
    ${CMAKE_BINARY_DIR}/examples/tools
    ${CMAKE_SOURCE_DIR}/src/KChart
    ${CMAKE_SOURCE_DIR}/src/KChart/include
    ${CMAKE_SOURCE_DIR}/src/KChart/Cartesian
    ${CMAKE_SOURCE_DIR}/src/KChart/Cartesian/DiagramFlavors
    ${CMAKE_SOURCE_DIR}/src/KChart/Polar
    ${CMAKE_SOURCE_DIR}/src/KChart/Ternary
)
remove_definitions(
    -DQT_NO_KEYWORDS
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_CAST_FROM_ASCII
)

add_subdirectory( AttributesModel )
add_subdirectory( AxisOwnership )
add_subdirectory( BarDiagrams )
add_subdirectory( CartesianDiagramDataCompressor )
add_subdirectory( CartesianPlanes )
add_subdirectory( ChartElementOwnership )
add_subdirectory( Cloning )
add_subdirectory( DrawIntoPainter )
add_subdirectory( Legends )
add_subdirectory( LineDiagrams )
add_subdirectory( Measure )
add_subdirectory( Palette )
add_subdirectory( ParamVsParam )
add_subdirectory( PieDiagrams )
add_subdirectory( PolarDiagrams )
add_subdirectory( PolarPlanes )
add_subdirectory( QLayout )
add_subdirectory( RelativePosition )
add_subdirectory( WidgetElementOwnership )

=== examples/EmptyValues/CMakeLists.txt ===
set(EmptyValues_SRCS
    mainwindow.cpp
    main.cpp
)

qt5_add_resources(EmptyValues_SRCS
    BarChart.qrc
)

add_executable(EmptyValues  ${EmptyValues_SRCS})

target_link_libraries(EmptyValues testtools KChart Qt5::Widgets)

=== examples/NoValues/CMakeLists.txt ===
set(NoValues_SRCS
    mainwindow.cpp
    main.cpp
)

add_executable(NoValues  ${NoValues_SRCS})

target_link_libraries(NoValues KChart Qt5::Widgets)

=== examples/RealTime/CMakeLists.txt ===
add_executable(RealTime  main.cpp)

target_link_libraries(RealTime KChart Qt5::Widgets)

=== qtests/CartesianDiagramDataCompressor/CMakeLists.txt ===
ecm_add_test(
    CartesianDiagramDataCompressorTests.cpp
    TEST_NAME CartesianDiagramDataCompressorTests
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)

=== qtests/ChartElementOwnership/CMakeLists.txt ===
ecm_add_test(
    main.cpp
    TEST_NAME TestChartElementOwnership
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)

=== qtests/Palette/CMakeLists.txt ===
ecm_add_test(
    main.cpp
    TEST_NAME TestKChartPalette
    LINK_LIBRARIES KChart Qt5::Widgets Qt5::Test
)

=== qtests/PolarPlanes/CMakeLists.txt ===
set(TestPolarPlanes_SRCS
    main.cpp
)

qt5_add_resources(TestPolarPlanes_SRCS
    Data.qrc
)

ecm_add_test(
    ${TestPolarPlanes_SRCS}
    TEST_NAME TestPolarPlanes
    LINK_LIBRARIES testtools KChart Qt5::Widgets Qt5::Test
)

=== src/KGantt/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set( KGANTTLIB_VERSION "2.6.3" )
+set( KGANTTLIB_VERSION "2.8.0" )
 
 ecm_setup_version(${KGANTTLIB_VERSION}
     VARIABLE_PREFIX KGANTT
@@ -20,6 +20,7 @@
 
 set( kgantt_LIB_SRCS
     kganttglobal.cpp
+    kganttprintingcontext.cpp
     kganttview.cpp
     kganttstyleoptionganttitem.cpp
     kganttgraphicsview.cpp
@@ -39,8 +40,15 @@
     kganttabstractgrid.cpp
     kganttdatetimegrid.cpp
     kganttlegend.cpp
+    kganttdatetimetimeline.cpp
+    kganttdatetimetimelinedialog.cpp
+    kganttpenstylecombobox.cpp
     unittest/test.cpp
     unittest/testregistry.cpp
+)
+
+qt5_wrap_ui(kgantt_LIB_SRCS
+    kganttdatetimetimelinedialog.ui
 )
 
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -82,6 +90,7 @@
 ecm_generate_headers(kgantt_LIB_HEADERS
     HEADER_NAMES
     KGanttGlobal
+    KGanttPrintingContext
     KGanttView
     KGanttStyleOptionGanttItem
     KGanttGraphicsView
@@ -101,6 +110,9 @@
     KGanttAbstractGrid
     KGanttDateTimeGrid
     KGanttLegend
+    KGanttDateTimeTimeLine
+    KGanttDateTimeTimeLineDialog
+    KGanttPenStyleComboBox
 
     REQUIRED_HEADERS kgantt_LIB_HEADERS
 )
@@ -108,6 +120,7 @@
 install(FILES
             ${CMAKE_CURRENT_BINARY_DIR}/kgantt_export.h
             ${kgantt_LIB_HEADERS}
+            kganttabstractgrid_p.h
         DESTINATION ${INCLUDE_INSTALL_DIR}/KGantt
         COMPONENT Devel)

=== tests/DelayedData/CMakeLists.txt ===
add_executable(DelayedData main.cpp)

target_link_libraries(DelayedData KChart Qt5::Widgets)

=== examples/Axis/Chart/CMakeLists.txt ===
set(AxisChart_SRCS
    mainwindow.cpp
    main.cpp
)

qt5_wrap_ui(AxisChart_SRCS
    mainwindow.ui
)

qt5_add_resources(AxisChart_SRCS
    BarChart.qrc
)

add_executable(AxisChart  ${AxisChart_SRCS})

target_link_libraries(AxisChart testtools KChart Qt5::Widgets)

=== examples/Bars/Simple/CMakeLists.txt ===
add_executable(BarsSimple  main.cpp)

target_link_libraries(BarsSimple KChart Qt5::Widgets)

=== debian/changelog ===
kdiagram (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump qtbase5-dev to 5.12.0
    - bump extra-cmake-modules to 5.60.0
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jan 2021 12:45:36 +0100

kdiagram (2.7.0-2) unstable; urgency=medium

  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Bump Standards-Version to 4.5.1, no changes required.
  * Add Rules-Requires-Root: no.
  * Use correct machine-readable copyright file URI.
  * Update symbols files. (Closes: #975186)

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 14:47:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: kdiagram
 Section: libs
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends:
  cmake (>= 2.8.12),
- debhelper-compat (= 12),
- extra-cmake-modules (>= 1.2.0),
+ debhelper-compat (= 13),
+ extra-cmake-modules (>= 5.60.0~),
  libqt5svg5-dev,
- qtbase5-dev (>= 5.2),
+ qtbase5-dev (>= 5.12.0~),
  qttools5-dev,
  qttools5-dev-tools,
  xauth,
  xvfb
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdiagram.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdiagram
 Homepage: https://cgit.kde.org/kdiagram.git

=== debian/rules ===
#! /usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@

override_dh_auto_test-arch:
	xvfb-run -a dh_auto_test -a

# no tests for -indep
override_dh_auto_test-indep:
